Arch: BuildingPart

From FreeCAD Documentation
Jump to: navigation, search
This page is a translated version of the page Arch BuildingPart and the translation is 30% complete.

Outdated translations are marked like this.
Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎italiano • ‎română • ‎русский
Arrow-left.svg Previous: Arch Floor.svg Floor
Next: Building Arch Building.svg Arrow-right.svg

Arch BuildingPart.svg Arch BuildingPart

poziția meniului
Arch → BuildingPart
Workbenches
Arch
scurtătură
Prezentat în versiune
-
A se vedea, de asemenea,
Arch Building, Arch Floor


Descriere

BuildingPart intenționează să înlocuiască Arch Floor cu o versiune mai capabilă care să poată fi utilizată nu numai pentru crearea de podele/etaje/niveluri ci și pentru toate tipurile de situații în care trebuie să fie grupate diferite obiecte Arch/BIM și acel grup ar putea fi necesar să fie tratate ca un obiect sau replicate.

Cum se folosește

  1. Optional, selectați unul sau mai multe obiecte pentru a fi incluse în noul Building Part
  2. Apăsați butonul Arch BuildingPart.png Arch BuildingPart

Opţiuni

  • După ce ați creat un BuildingPart, puteți să adăugați mai multe obiecte prin glisarea și plasarea lor în Tree View sau utilizând instrumentul Arch Add.png Arch Add
  • Puteți să eliminați obiecte dintr-un BuildingPart prin tragerea și plasarea lor din Tree View sau utilizând instrumentul Arch Remove.png Arch Remove
  • Dând dublu clic pe obiectul BuildingPart din vizualizarea arborescentă, Working Plane va fi setat la locația sa, iar BuildingPart va deveni activ, ceea ce înseamnă că vor fi adăugate automat noi obiecte. Dacă dați dublu clic pe BuildingPart din nou, îl dezactivați și setați planul de lucru înapoi în poziția sa anterioară
  • BuildingPart poate afișa un marcaj în vizualizarea 3D cu o etichetă și indicarea nivelului
  • Când un BuildingPart este mutat / rotit, toți copiii acestuia care nu au nici o proprietate "Move With Host" sau o pornesc, se vor mișca/roti împreună.
  • Elementele de construcție pot fi cloned
  • Componentele de construcție pot lua orice tip de IFC

Proprietăți

  • DATAHeight: The height of this object
  • DATALevelOffset: The level of the (0,0,0) point of this level
  • DATAArea: The computed floor area of this floor
  • DATAIfcRole: The role of this object
  • DATADescription: An optional description for this component
  • DATATag: An optional tag for this component
  • DATAIfcAttributes: Custom IFC properties and attributes
  • VIEWLineWidth: The line width of this object
  • VIEWOverrideUnit: An optional unit to express levels
  • VIEWDisplayOffset: A transformation to apply to the level mark
  • VIEWShowLevel: If true, show the level
  • VIEWShowUnit: If true, show the unit on the level tag
  • VIEWSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this level
  • VIEWOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • VIEWShowLabel: If true, when activated, the object's label is displayed
  • VIEWFontName: The font to be used for texts
  • VIEWFontSize: The font size of texts
  • VIEWRestoreView: If set, the view stored in this object will be restored on double-click
  • VIEWDiffuseColor: The individual face colors

View

  • VIEWLineWidth: The line width of this object
  • VIEWOverrideUnit: An optional unit to express levels
  • VIEWDisplayOffset: A transformation to apply to the level mark
  • VIEWShowLevel: If true, show the level
  • VIEWShowUnit: If true, show the unit on the level tag
  • VIEWSetWorkingPlane: If true, when activated, the working plane will automatically adapt to this Building Part
  • VIEWOriginOffset: If true, when activated, Display offset will affect the origin mark too
  • VIEWShowLabel: If true, when activated, the object's label is displayed
  • VIEWFontName: The font to be used for texts
  • VIEWFontSize: The font size of texts
  • VIEWRestoreView: If set, the view stored in this object will be restored on double-click
  • VIEWDiffuseColor: The individual face colors

introduced in version 0.19

  • VIEWChildrenOverride: If set, the settings below will affect the children of this Building Part
  • VIEWChildrenLineWidth: The line width to apply to the children of this Building Part
  • VIEWChildrenLineColor: The line color to apply to the children of this Building Part
  • VIEWChildrenShapeColor: The shape color to apply to the children of this Building Part
  • VIEWChildrenTransparency: The transparency to apply to the children of this Building Part

Scrip-Programare

Instrumentul BuildingPart poate fi utilizat în macro-uri și din consola Python utilizând următoarea funcție:

BuildingPart = makeBuildingPart(objectslist=None)

creează o BuildingPart incluzând obiectele din lista dată.

Exempluː

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
baseline2 = Draft.makeLine(p1, -1*p2)

Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
Wall2 = Arch.makeWall(baseline2, length=None, width=150, height=1800)
FreeCAD.ActiveDocument.recompute()

BuildingPart = Arch.makeBuildingPart([Wall1, Wall2])

Floor = Arch.makeFloor([BuildingPart])
Building = Arch.makeBuilding([Floor])
Site = Arch.makeSite(Building)
FreeCAD.ActiveDocument.recompute()